aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJan-Simon Moeller <jsmoeller@linuxfoundation.org>2020-09-14 16:58:43 +0000
committerGerrit Code Review <gerrit@automotivelinux.org>2020-09-14 16:58:43 +0000
commita2b20d7ad8a8df295a19fedcd58396b45f65c890 (patch)
treeb6b3d15f16c790d20e5348ceed386ef7570d257b
parentf134fc8a0b2ac5aa704aab8d6d2294d115d6cbba (diff)
parent4f2971a1e90ce4add03f0ed35f63df57f63e29e8 (diff)
Merge "SPEC-3484: install and basicly test coverage package"
-rwxr-xr-xcommon/scripts/application-lifecycle.sh15
1 files changed, 14 insertions, 1 deletions
diff --git a/common/scripts/application-lifecycle.sh b/common/scripts/application-lifecycle.sh
index b9b3328..f922d02 100755
--- a/common/scripts/application-lifecycle.sh
+++ b/common/scripts/application-lifecycle.sh
@@ -393,7 +393,20 @@ do
fi
if [ -e $WGTNAME-coverage.wgt ];then
inspect_wgt $WGTNAME-coverage.wgt $WGTNAME
- echo "DEBUG: coverage not handled yet"
+ do_release_test $WGTNAME $WGTNAME-coverage.wgt
+ check_service_running $WGTNAME
+ if [ $? -eq 1 ];then
+ afm-util install $TOPDIR/$WGTNAME-test.wgt
+ do_afm_test $TOPDIR/$WGTNAME-test.wgt
+ if [ $? -eq 0 ];then
+ lava-test-case run-test-$WGTNAME --result pass
+ else
+ lava-test-case run-test-$WGTNAME --result fail
+ fi
+ else
+ echo "DEBUG: $WGTNAME is not running, skipping test"
+ lava-test-case run-test-$WGTNAME --result skip
+ fi
fi
done